@import "variables.css";
@import "bootstrap.min.css";
@import "audio.css";
@import "breadcrump.css";
@import "biography.css";
@import "category.css";
@import "citations.css";
@import "fonts.css";
@import "form.css";
@import "navigationFooter.css";
@import "glightbox.min.css";
@import "contact.css";
@import "ke_search.css";
@import "ke_searchbox_mobile.css";
@import "navigationBreadcrumb.css";
@import "navigationLanguage.css";
@import "lightbox.css";
@import "navigationMain.css";
@import "media.css";
@import "navigation.Mmenu-light.css";
@import "news.css";
@import "pagination.css";
@import "publications.css";
@import "navigationRight.css";
@import "scrollToTop.css";
@import "shariff.css";
@import "navigationTop.css";
@import "basics.css";
@import "work.css";

:root {
    /* Typografie */
    --bs-body-font-family: "Segoe UI", -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
    --body-font-size: clamp(1rem, 2.5vw, 1.0625rem);
    --line-height: 1.6;

    --bs-table-bg: transparent;
    --bs-body-bg: transparent;

    .btn {
        --bs-btn-padding-x: .4rem;
        --bs-btn-padding-y: .2rem;
        --bs-btn-font-size: .875rem;
    }

    .btn-primary {
        --bs-btn-color: #fff;
        --bs-btn-bg: #0b5185;
        --bs-btn-border-color: #ccc;
        transition: color 1s, background-color 1s;
    }

    .btn:hover {
        --bs-btn-hover-color: #000;
        --bs-btn-hover-bg: #b3cfe5;
        --bs-btn-hover-border-color: #ccc;
    }

    /* Breadcrumb */
    .breadcrumb {
        --bs-breadcrumb-border-radius: 0.3rem;
    }

    /* Colour */
    --hummel-gray-light: #f8f9fa;
    --hummel-blue-light: #b3cfe5;
    --hummel-blue-light-rgb: 179, 207, 229;
    --hummel-blue-dark: #0b5185;
    --hummel-blue-dark-rgb: 11, 81, 133;
    --hummel-background: #eaecf2; /* body */
    --hummel-green: #0b857c;
    --hummel-green-light: #cfe5b3;
    --hunmel-mint: #3d7a5a;
    --hummel-brown: #853f0b;
    --hummel-brown-light: #e5c9b3;
    --hummel-violet: #0b1485;
    --hummel-violet-light: #e5b3cf;


    /* Spacing Scale */
    --spacing-xs: clamp(0.5rem, 1.5vw, 0.75rem);
    --spacing-s: clamp(1rem, 3vw, 1.5rem);
    --spacing-m: clamp(2rem, 5vw, 2.5rem);
    --spacing-l: clamp(3rem, 6vw, 4rem);

    /* 1. CSS Custom properties (Zentrale Steuerung) */
    --navigation-font-size: 90%;
}

/* 2. RESET & BASE */
*, *::before, *::after {
    box-sizing: border-box;
}
